
#include "packet_common.h"
#include "adler32.h"
#include "packet-ex3.h"

#define PNAME  "Example3"
#define PSNAME "EX3"
#define PFNAME "ex3"


/* Initialize the protocol and registered fields */
int proto_ex3 = -1;
static int hf_ex3_data = -1;

/* Initialize the subtree pointers */
static gint ett_ex3 = -1;

/*--- dissect_ex3 -----------------------------------------------------*/
static void
dissect_ex3(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree) {
  proto_item *ti;
  proto_tree *ex3_tree;

  if (tree) {
    ti = proto_tree_add_text(tree, tvb, 0, tvb_length(tvb), "Example3");
    ex3_tree = proto_item_add_subtree(ti, ett_ex3);
    proto_tree_add_item(ex3_tree, hf_ex3_data, tvb, 0, tvb_length(tvb), FALSE);
  }
}

/*--- proto_register_ex3 ----------------------------------------------*/
void proto_register_ex3(void) {

  /* List of fields */
  static hf_register_info hf[] = {
    /*--- Header fields ---*/
    { &hf_ex3_data,   { "Data", "ex3.data",
                        FT_BYTES, BASE_HEX, NULL, 0x0,
                        "Data" }},
  };

  /* List of subtrees */
  static gint *ett[] = {
    &ett_ex3,
  };

  /* Register protocol */
  proto_ex3 = proto_register_protocol(PNAME, PSNAME, PFNAME);

  /* Register fields and subtrees */
  proto_register_field_array(proto_ex3, hf, array_length(hf));
  proto_register_subtree_array(ett, array_length(ett));

}


/*--- proto_reg_handoff_ex3 -------------------------------------------*/
void proto_reg_handoff_ex3(void) {
  static dissector_handle_t ex3_handle;

  ex3_handle = create_dissector_handle(dissect_ex3, proto_ex3);
  dissector_add("h225.nsp", adler32_str("1.3.12.2.1107.2.6.3"), ex3_handle); 

}


