
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "plugins/plugin_api.h"
#include "plugins/plugin_api_defs.h"
#include "moduleinfo.h"

#include <gmodule.h>

#include "packet-ex3.h"

#ifdef __cplusplus
extern "C" {
#endif
void plugin_init(plugin_address_table_t *pat);
void plugin_reg_handoff(void);
#ifdef __cplusplus
}
#endif

/*--- version ---------------------------------------------------------------*/
extern
#ifdef __cplusplus
"C"
#endif
const gchar version[] = VERSION;

/*--- plugin_init -----------------------------------------------------------*/
void plugin_init(plugin_address_table_t *pat) {

  /* initialise the table of pointers needed in Win32 DLLs */
  plugin_address_table_init(pat);

  /* register the new protocol, protocol fields, and subtrees */
  /* execute protocol initializations only once */
  if (proto_ex3 == -1)
    proto_register_ex3();
}

/*--- plugin_reg_handoff ----------------------------------------------------*/
void plugin_reg_handoff(void) {
  proto_reg_handoff_ex3();
}

/*---------------------------------------------------------------------------*/
#pragma argsused
void g_logv(const gchar *log_domain, GLogLevelFlags log_level, const gchar *format, va_list args) {
}


